# Desktop

Desktop module for Augeas (.desktop files)

Author: Raphael Pinson rap.nosp@m.hink@gmai.nosp@m.l.com

Summary

Desktop | Desktop module for Augeas (.desktop files)
Lens Usage | This lens is made to provide a lens for .desktop files for augeas
Variables |
Freedesktop.org | http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html
License | This file is licenced under the LGPL v2+, like the rest of Augeas.
Augeas Variables |
sto_to_comment | Store until comment

### Lens Usage

This lens is made to provide a lens for .desktop files for augeas

### Variables

### Freedesktop.org

http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html

### License

This file is licenced under the LGPL v2+, like the rest of Augeas.

### Augeas Variables

### sto_to_comment

> let sto_to_comment = Sep.opt_space . store /[^# \t\r\n][^#\r\n]*[^# \t\r\n]|[^# \t\r\n]/

Store until comment

> let sto_to_comment = Sep.opt_space . store /[^# \t\r\n][^#\r\n]*[^# \t\r\n]|[^# \t\r\n]/

Store until comment
Close